--Australian extended lookup tables
--table extended_lookup.au_address
--drop table extended_lookup.au_addresses;
create table extended_lookup.au_addresses (
    seq int generated always as identity
                  (start with -4, increment by 1),
    address1 varchar(50) not null,
    address2 varchar(50),
    locality varchar(28),
    city     varchar(40) not null,
    postcode char(8) not null);

create unique index extended_lookup.xauaddruq ON extended_lookup.au_addresses (address1 asc, city asc, postcode asc);

alter table extended_lookup.au_addresses add constraint uau_addresses
                                unique (address1,
                                city,
                                postcode);

create unique index extended_lookup.xauaddrpk
   on extended_lookup.au_addresses
   (seq  asc);
alter table extended_lookup.au_addresses
   add primary key
   (seq);


--table extended_lookup.au_person
--drop table extended_lookup.au_person;
create table extended_lookup.au_person (
    seq int generated always as identity
                  (start with -4, increment by 1),
    id char(6),
    firstname varchar(30) not null,
    lastname varchar(30) not null,
    company varchar(40),
    nationalid varchar(11),
    sex char(1) not null,
    phone varchar(14) not null,
    birthdate date  not null,
    email_address varchar(50));

create unique index extended_lookup.xaupersonuq ON extended_lookup.au_person (firstname asc,
                                lastname asc,
                                sex asc,
                                phone asc,
                                birthdate asc);

alter table extended_lookup.au_person add constraint uau_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index extended_lookup.xaupersonpk
   on extended_lookup.au_person
   (seq  asc);
alter table extended_lookup.au_person
   add primary key
   (seq);

--table extended_lookup.au_firstname
--drop table extended_lookup.au_firstname;
create table extended_lookup.au_firstname (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);

create unique index extended_lookup.xaufirstnameuq
   on extended_lookup.au_firstname
   (firstname asc);

alter table extended_lookup.au_firstname add constraint uau_firstname
                                unique (firstname);

create unique index extended_lookup.xaufirstnamepk
   on extended_lookup.au_firstname
   (seq asc);
alter table extended_lookup.au_firstname
   add primary key
   (seq);


--table extended_lookup.au_firstnamef
--drop table extended_lookup.au_firstname_f;
create table extended_lookup.au_firstname_f (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);

create unique index extended_lookup.xaufirstnamefuq
   on extended_lookup.au_firstname_f
   (firstname asc);
alter table extended_lookup.au_firstname_f add constraint uau_firstnamef
                                unique (firstname);

create unique index extended_lookup.xaufirstnamefpk
   on extended_lookup.au_firstname_f
   (seq asc);
alter table extended_lookup.au_firstname_f
   add primary key
   (seq);


--table extended_lookup.au_firstnamem
--drop table extended_lookup.au_firstname_m;
create table extended_lookup.au_firstname_m (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);

create unique index extended_lookup.xaufirstnamemuq
   on extended_lookup.au_firstname_m
   (firstname asc);
alter table extended_lookup.au_firstname_m add constraint uau_firstnamem
                                unique (firstname);

create unique index extended_lookup.xaufirstnamempk
   on extended_lookup.au_firstname_m
   (seq asc);
alter table extended_lookup.au_firstname_m
   add primary key
   (seq);


--table extended_lookup.au_lastname
--drop table extended_lookup.au_lastname;
create table extended_lookup.au_lastname (
    seq int generated always as identity
                  (start with -4, increment by 1),
    lastname varchar(30) not null);

create unique index extended_lookup.xaulastnameuq
   on extended_lookup.au_lastname
   (lastname asc);
alter table extended_lookup.au_lastname add constraint uau_lastname
                                unique (lastname);

create unique index extended_lookup.xaulastnamepk
   on extended_lookup.au_lastname
   (seq asc);
alter table extended_lookup.au_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------
--Canadian extended lookup tables
--table extended_lookup.ca_address
--drop table extended_lookup.ca_addresses;
create table extended_lookup.ca_addresses (
 seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 city     varchar(40)not null,
 postcode char(8)not null);

create unique index extended_lookup.xcaaddruq
   on extended_lookup.ca_addresses
   (address1 asc,
    city asc,
    postcode asc);
alter table extended_lookup.ca_addresses add constraint uca_addresses
                                unique (address1,
                                city,
                                postcode);

create unique index extended_lookup.xcaaddrpk
   on extended_lookup.ca_addresses
   (seq  asc);
alter table extended_lookup.ca_addresses
   add primary key
   (seq);

--table extended_lookup.ca_person
--drop table extended_lookup.ca_person;
create table extended_lookup.ca_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(13) not null,
  birthdate date not null,
  email_address varchar(50));

create unique index extended_lookup.xcapersonuq
   on extended_lookup.ca_person
   (firstname asc,
    lastname asc,
    sex asc,
    phone asc,
    birthdate asc);
alter table extended_lookup.ca_person add constraint uca_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index extended_lookup.xcapersonpk
   on extended_lookup.ca_person
   (seq  asc);
alter table extended_lookup.ca_person
   add primary key
   (seq);

--table extended_lookup.ca_firstname
--drop table extended_lookup.ca_firstname;
create table extended_lookup.ca_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xcafirstnameuq
   on extended_lookup.ca_firstname
   (firstname asc);
alter table extended_lookup.ca_firstname add constraint uca_firstname
                                unique (firstname);

create unique index extended_lookup.xcafirstnamepk
   on extended_lookup.ca_firstname
   (seq asc);
alter table extended_lookup.ca_firstname
   add primary key
   (seq);


--table extended_lookup.ca_firstnamef
--drop table extended_lookup.ca_firstname_f;
create table extended_lookup.ca_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xcafirstnamefuq
   on extended_lookup.ca_firstname_f
   (firstname asc);
alter table extended_lookup.ca_firstname_f add constraint uca_firstnamef
                                        unique (firstname);

create unique index extended_lookup.xcafirstnamefpk
   on extended_lookup.ca_firstname_f
   (seq asc);
alter table extended_lookup.ca_firstname_f
   add primary key
   (seq);


--table extended_lookup.ca_firstnamem
--drop table extended_lookup.ca_firstname_m;
create table extended_lookup.ca_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30)not null);

create unique index extended_lookup.xcafirstnamemuq
   on extended_lookup.ca_firstname_m
   (firstname asc);
alter table extended_lookup.ca_firstname_m add constraint uca_firstnamem
                                        unique (firstname);

create unique index extended_lookup.xcafirstnamempk
   on extended_lookup.ca_firstname_m
   (seq asc);
alter table extended_lookup.ca_firstname_m
   add primary key
   (seq);


--table extended_lookup.ca_lastname
--drop table extended_lookup.ca_lastname;
create table extended_lookup.ca_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);

create unique index extended_lookup.xcalastnameuq
   on extended_lookup.ca_lastname
   (lastname asc);
alter table extended_lookup.ca_lastname add constraint uca_lastname
                                                unique (lastname);

create unique index extended_lookup.xcalastnamepk
   on extended_lookup.ca_lastname
   (seq asc);
alter table extended_lookup.ca_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------
--French extended lookup tables
--table extended_lookup.fr_address
--drop table extended_lookup.fr_addresses;
create table extended_lookup.fr_addresses (
 seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50)not null,
 address2 varchar(50),
 locality varchar(28),
 posttown varchar(40)not null,
 postcode char(8) not null);

create unique index extended_lookup.xfraddruq
   on extended_lookup.fr_addresses
   (address1 asc,
    posttown asc,
    postcode  asc);
alter table extended_lookup.fr_addresses add constraint ufr_addresses
                                unique (address1,
                                posttown,
                                postcode);

create unique index extended_lookup.xfraddrpk
   on extended_lookup.fr_addresses
   (seq  asc);
alter table extended_lookup.fr_addresses
   add primary key
   (seq);


--table extended_lookup.fr_person
--drop table extended_lookup.fr_person;
create table extended_lookup.fr_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11) ,
  sex char(1) not null,
  phone varchar(14) not null,
  birthdate date not null,
  email_address varchar(50));

create unique index extended_lookup.xfrpersonuq
   on extended_lookup.fr_person
   (firstname asc,
   lastname asc,
   sex asc,
   phone asc,
   birthdate asc);
alter table extended_lookup.fr_person add constraint ufr_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index extended_lookup.xfrpersonpk
   on extended_lookup.fr_person
   (seq  asc);
alter table extended_lookup.fr_person
   add primary key
   (seq);

--table extended_lookup.fr_firstname
--drop table extended_lookup.fr_firstname;
create table extended_lookup.fr_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xfrfirstnameuq
   on extended_lookup.fr_firstname
   (firstname asc);
alter table extended_lookup.fr_firstname add constraint ufr_firstname
                                unique (firstname);

create unique index extended_lookup.xfrfirstnamepk
   on extended_lookup.fr_firstname
   (seq asc);
alter table extended_lookup.fr_firstname
   add primary key
   (seq);


--table extended_lookup.fr_firstnamef
--drop table extended_lookup.fr_firstname_f;
create table extended_lookup.fr_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xfrfirstnamefuq
   on extended_lookup.fr_firstname_f
   (firstname asc);
alter table extended_lookup.fr_firstname_f add constraint ufr_firstnamef
                                        unique (firstname);

create unique index extended_lookup.xfrfirstnamefpk
   on extended_lookup.fr_firstname_f
   (seq asc);
alter table extended_lookup.fr_firstname_f
   add primary key
   (seq);


--table extended_lookup.fr_firstname
--drop table extended_lookup.fr_firstname_m;
create table extended_lookup.fr_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xfrfirstnamemuq
   on extended_lookup.fr_firstname_m
   (firstname asc);
alter table extended_lookup.fr_firstname_m add constraint ufr_firstnamem
                                        unique (firstname);

create unique index extended_lookup.xfrfirstnamempk
   on extended_lookup.fr_firstname_m
   (seq asc);
alter table extended_lookup.fr_firstname_m
   add primary key
   (seq);

--table extended_lookup.fr_lastname
--drop table extended_lookup.fr_lastname;
create table extended_lookup.fr_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);

create unique index extended_lookup.xfrlastnameuq
   on extended_lookup.fr_lastname
   (lastname asc);
alter table extended_lookup.fr_lastname add constraint ufr_lastname
                                        unique (lastname);

create unique index extended_lookup.xfrlastnamepk
   on extended_lookup.fr_lastname
   (seq asc);
alter table extended_lookup.fr_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------
--German extended lookup tables
--table extended_lookup.de_address
--drop table extended_lookup.de_addresses;
create table extended_lookup.de_addresses (
  seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 city     varchar(40)not null,
 postcode char(8)not null);

create unique index extended_lookup.xdeaddruq
   on extended_lookup.de_addresses
   (address1 asc,
    city asc,
    postcode asc);
alter table extended_lookup.de_addresses add constraint ude_addresses
                                unique (address1,
                                city,
                                postcode);

create unique index extended_lookup.xdeaddrpk
   on extended_lookup.de_addresses
   (seq  asc);
alter table extended_lookup.de_addresses
   add primary key
   (seq);


--table extended_lookup.de_person
--drop table extended_lookup.de_person;
create table extended_lookup.de_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(14) not null,
  birthdate date not null,
  email_address varchar(50));


create unique index extended_lookup.xdepersonuq
   on extended_lookup.de_person
   (firstname asc,
    lastname asc,
    sex asc,
    phone asc,
    birthdate asc);
alter table extended_lookup.de_person add constraint ude_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index extended_lookup.xdepersonpk
   on extended_lookup.de_person
   (seq  asc);
alter table extended_lookup.de_person
   add primary key
   (seq);

--table extended_lookup.de_firstname
--drop table extended_lookup.de_firstname;
create table extended_lookup.de_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xdefirstnameuq
   on extended_lookup.de_firstname
   (firstname asc);
alter table extended_lookup.de_firstname add constraint ude_firstname
                                        unique (firstname);

create unique index extended_lookup.xdefirstnamepk
   on extended_lookup.de_firstname
   (seq asc);
alter table extended_lookup.de_firstname
   add primary key
   (seq);


--table extended_lookup.de_firstnamef
--drop table extended_lookup.de_firstname_f;
create table extended_lookup.de_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xdefirstnamefuq
   on extended_lookup.de_firstname_f
   (firstname asc);
alter table extended_lookup.de_firstname_f add constraint ude_firstnamef
                                        unique (firstname);

create unique index extended_lookup.xdefirstnamefpk
   on extended_lookup.de_firstname_f
   (seq asc);
alter table extended_lookup.de_firstname_f
   add primary key
   (seq);


--table extended_lookup.de_firstname
--drop table extended_lookup.de_firstname_m;
create table extended_lookup.de_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xdefirstnamemuq
   on extended_lookup.de_firstname_m
   (firstname asc);
alter table extended_lookup.de_firstname_m add constraint ude_firstnamem
                                        unique (firstname);

create unique index extended_lookup.xdefirstnamempk
   on extended_lookup.de_firstname_m
   (seq asc);
alter table extended_lookup.de_firstname_m
   add primary key
   (seq);


--table extended_lookup.de_lastname
--drop table extended_lookup.de_lastname;
create table extended_lookup.de_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);

create unique index extended_lookup.xdelastnameuq
   on extended_lookup.de_lastname
   (lastname asc);
alter table extended_lookup.de_lastname add constraint ude_lastname
                                        unique (lastname);
create unique index extended_lookup.xdelastnamepk
   on extended_lookup.de_lastname
   (seq asc);
alter table extended_lookup.de_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------

--Spanish extended lookup tables
--table extended_lookup.es_address
--drop table extended_lookup.es_addresses;
create table extended_lookup.es_addresses (
 seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 city     varchar(40) not null,
 postcode char(8) not null);

create unique index extended_lookup.xesaddruq
   on extended_lookup.es_addresses
   (address1 asc,
    city asc,
    postcode asc);
alter table extended_lookup.es_addresses add constraint ues_addresses
                                unique (address1,
                                city,
                                postcode);

create unique index extended_lookup.xesaddrpk
   on extended_lookup.es_addresses
   (seq  asc);
alter table extended_lookup.es_addresses
   add primary key
   (seq);


--table extended_lookup.es_person
--drop table extended_lookup.es_person;
create table extended_lookup.es_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1)  not null,
  phone varchar(14),
  birthdate date not null,
  email_address varchar(50));

create unique index extended_lookup.xespersonuq
   on extended_lookup.es_person
   (firstname asc,
    lastname asc,
    sex asc,
    birthdate asc);
alter table extended_lookup.es_person add constraint ues_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                birthdate);

create unique index extended_lookup.xespersonpk
   on extended_lookup.es_person
   (seq  asc);
alter table extended_lookup.es_person
   add primary key
   (seq);

--table extended_lookup.es_firstname
--drop table extended_lookup.es_firstname;
create table extended_lookup.es_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xesfirstnameuq
   on extended_lookup.es_firstname
   (firstname asc);
alter table extended_lookup.es_firstname add constraint ues_firstname
                                        unique (firstname);

create unique index extended_lookup.xesfirstnamepk
   on extended_lookup.es_firstname
   (seq asc);
alter table extended_lookup.es_firstname
   add primary key
   (seq);


--table extended_lookup.es_firstnamef
--drop table extended_lookup.es_firstname_f;
create table extended_lookup.es_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xesfirstnamefuq
   on extended_lookup.es_firstname_f
   (firstname asc);
alter table extended_lookup.es_firstname_f add constraint ues_firstnamef
                                        unique (firstname);

create unique index extended_lookup.xesfirstnamefpk
   on extended_lookup.es_firstname_f
   (seq asc);
alter table extended_lookup.es_firstname_f
   add primary key
   (seq);


--table extended_lookup.es_firstname
--drop table extended_lookup.es_firstname_m;
create table extended_lookup.es_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xesfirstnamemuq
   on extended_lookup.es_firstname_m
   (firstname asc);
alter table extended_lookup.es_firstname_m add constraint ues_firstnamem
                                        unique (firstname);

create unique index extended_lookup.xesfirstnamempk
   on extended_lookup.es_firstname_m
   (seq asc);
alter table extended_lookup.es_firstname_m
   add primary key
   (seq);


--table extended_lookup.es_lastname
--drop table extended_lookup.es_lastname;
create table extended_lookup.es_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);

create unique index extended_lookup.xeslastnameuq
   on extended_lookup.es_lastname
   (lastname asc);
alter table extended_lookup.es_lastname add constraint ues_lastname
                                        unique (lastname);

create unique index extended_lookup.xeslastnamepk
   on extended_lookup.es_lastname
   (seq asc);
alter table extended_lookup.es_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------

--Italian extended lookup tables
--table extended_lookup.it_address
--drop table extended_lookup.it_addresses;
create table extended_lookup.it_addresses (
 seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 posttown varchar(40)not null,
 postcode char(8) not null);

create unique index extended_lookup.xitaddruq
   on extended_lookup.it_addresses
   (address1 asc,
    posttown asc,
    postcode asc);
alter table extended_lookup.it_addresses add constraint uit_addresses
                                unique (address1,
                                posttown,
                                postcode);

create unique index extended_lookup.xitaddrpk
   on extended_lookup.it_addresses
   (seq  asc);
alter table extended_lookup.it_addresses
   add primary key
   (seq);


--table extended_lookup.it_person
--drop table extended_lookup.it_person;
create table extended_lookup.it_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(16),
  sex char(1) not null,
  phone varchar(12) not null,
  birthdate date not null,
  email_address varchar(50));

create unique index extended_lookup.xitpersonuq
   on extended_lookup.it_person
   (firstname asc,
    lastname asc,
    sex asc,
    phone asc,
    birthdate asc);
alter table extended_lookup.it_person add constraint uit_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index extended_lookup.xitpersonpk
   on extended_lookup.it_person
   (seq  asc);
alter table extended_lookup.it_person
   add primary key
   (seq);

--table extended_lookup.it_firstname
--drop table extended_lookup.it_firstname;
create table extended_lookup.it_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xitfirstnameuq
   on extended_lookup.it_firstname
   (firstname asc);
alter table extended_lookup.it_firstname add constraint uit_firstname
                                        unique (firstname);

create unique index extended_lookup.xitfirstnamepk
   on extended_lookup.it_firstname
   (seq asc);
alter table extended_lookup.it_firstname
   add primary key
   (seq);


--table extended_lookup.it_firstnamef
--drop table extended_lookup.it_firstname_f;
create table extended_lookup.it_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xitfirstnamefuq
   on extended_lookup.it_firstname_f
   (firstname asc);
alter table extended_lookup.it_firstname_f add constraint uit_firstnamef
                                        unique (firstname);

create unique index extended_lookup.xitfirstnamefpk
   on extended_lookup.it_firstname_f
   (seq asc);
alter table extended_lookup.it_firstname_f
   add primary key
   (seq);


--table extended_lookup.it_firstname
--drop table extended_lookup.it_firstname_m;
create table extended_lookup.it_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xitfirstnamemuq
   on extended_lookup.it_firstname_m
   (firstname asc);
alter table extended_lookup.it_firstname_m add constraint uit_firstnamem
                                        unique (firstname);

create unique index extended_lookup.xitfirstnamempk
   on extended_lookup.it_firstname_m
   (seq asc);
alter table extended_lookup.it_firstname_m
   add primary key
   (seq);


--table extended_lookup.it_lastname
--drop table extended_lookup.it_lastname;
create table extended_lookup.it_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);

create unique index extended_lookup.xitlastnameuq
   on extended_lookup.it_lastname
   (lastname asc);
alter table extended_lookup.it_lastname add constraint uit_lastname
                                        unique (lastname);

create unique index extended_lookup.xitlastnamepk
   on extended_lookup.it_lastname
   (seq asc);
alter table extended_lookup.it_lastname
   add primary key
   (seq);

--------------------------------------------------------------------------------
--table extended_lookup.us_address
--drop table extended_lookup.us_addresses;
create table extended_lookup.us_addresses (
  seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 city varchar(40) not null,
 state char(2) not null,
 zipcode char(5) not null,
 zipplus4 char(4) not null);

create unique index extended_lookup.xusaddruq
   on extended_lookup.us_addresses
   (address1 asc,
    city asc,
    state asc,
    zipcode asc,
    zipplus4 asc);
alter table extended_lookup.us_addresses add constraint uus_addresses
                                unique (address1,
                                city,
                                state,
                                zipcode,
                                zipplus4);

create unique index extended_lookup.xusaddrpk
   on extended_lookup.us_addresses
   (seq  asc);
alter table extended_lookup.us_addresses
   add primary key
   (seq);


--table extended_lookup.us_person
--drop table extended_lookup.us_person;
create table extended_lookup.us_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  ssn varchar(11),
  sex char(1) not null,
  phone varchar(12) not null,
  birthdate date not null,
  email_address varchar(50));

create unique index extended_lookup.xuspersonuq
   on extended_lookup.us_person
   (firstname asc,
    lastname asc,
    sex asc,
    phone asc,
    birthdate asc);
alter table extended_lookup.us_person add constraint uus_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index extended_lookup.xuspersonpk
   on extended_lookup.us_person
   (seq  asc);
alter table extended_lookup.us_person
   add primary key
   (seq);

--table extended_lookup.us_firstname
--drop table extended_lookup.us_firstname;
create table extended_lookup.us_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xusfirstnameuq
   on extended_lookup.us_firstname
   (firstname asc);
alter table extended_lookup.us_firstname add constraint uus_firstname
                                        unique (firstname);

create unique index extended_lookup.xusfirstnamepk
   on extended_lookup.us_firstname
   (seq asc);
alter table extended_lookup.us_firstname
   add primary key
   (seq);


--table extended_lookup.us_firstnamef
--drop table extended_lookup.us_firstname_f;
create table extended_lookup.us_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xusfirstnamefuq
   on extended_lookup.us_firstname_f
   (firstname asc);
alter table extended_lookup.us_firstname_f add constraint uus_firstnamef
                                        unique (firstname);

create unique index extended_lookup.xusfirstnamefpk
   on extended_lookup.us_firstname_f
   (seq asc);
alter table extended_lookup.us_firstname_f
   add primary key
   (seq);


--table extended_lookup.us_firstnamem
--drop table extended_lookup.us_firstname_m;
create table extended_lookup.us_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xusfirstnamemuq
   on extended_lookup.us_firstname_m
   (firstname asc);
alter table extended_lookup.us_firstname_m add constraint uus_firstnamem
                                        unique (firstname);

create unique index extended_lookup.xusfirstnamempk
   on extended_lookup.us_firstname_m
   (seq asc);
alter table extended_lookup.us_firstname_m
   add primary key
   (seq);


--table extended_lookup.us_lastname
--drop table extended_lookup.us_lastname;
create table extended_lookup.us_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);

create unique index extended_lookup.xuslastnameuq
   on extended_lookup.us_lastname
   (lastname asc);
alter table extended_lookup.us_lastname add constraint uus_lastname
                                        unique (lastname);

create unique index extended_lookup.xuslastnamepk
   on extended_lookup.us_lastname
   (seq asc);
alter table extended_lookup.us_lastname
   add primary key
   (seq);

--------------------------------------------------------------------------------

--table extended_lookup.uk_address
--drop table extended_lookup.uk_addresses;
create table extended_lookup.uk_addresses (
  seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 posttown varchar(40) not null,
 postcode char(8) not null);

create unique index extended_lookup.xukaddruq
   on extended_lookup.uk_addresses
   (address1 asc,
    posttown asc,
    postcode asc);
alter table extended_lookup.uk_addresses add constraint uuk_addresses
                                unique (address1,
                                posttown,
                                postcode);

create unique index extended_lookup.xukaddrpk
   on extended_lookup.uk_addresses
   (seq  asc);
alter table extended_lookup.uk_addresses
   add primary key
   (seq);


--table extended_lookup.uk_person
--drop table extended_lookup.uk_person;
create table extended_lookup.uk_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(13) not null,
  birthdate date not null,
  email_address varchar(50));

create unique index extended_lookup.xukpersonuq
   on extended_lookup.uk_person
   ( firstname asc,
     lastname asc,
     sex asc,
     phone asc,
     birthdate asc);
alter table extended_lookup.uk_person add constraint uuk_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index extended_lookup.xukpersonpk
   on extended_lookup.uk_person
   (seq  asc);
alter table extended_lookup.uk_person
   add primary key
   (seq);

--table extended_lookup.uk_firstname
--drop table extended_lookup.uk_firstname;
create table extended_lookup.uk_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xukfirstnameuq
   on extended_lookup.uk_firstname
   (firstname asc);
alter table extended_lookup.uk_firstname add constraint uuk_firstname
                                        unique (firstname);

create unique index extended_lookup.xukfirstnamepk
   on extended_lookup.uk_firstname
   (seq asc);
alter table extended_lookup.uk_firstname
   add primary key
   (seq);


--table extended_lookup.uk_firstnamef
--drop table extended_lookup.uk_firstname_f;
create table extended_lookup.uk_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xukfirstnamefuq
   on extended_lookup.uk_firstname_f
   (firstname asc);
alter table extended_lookup.uk_firstname_f add constraint uuk_firstnamef
                                        unique (firstname);

create unique index extended_lookup.xukfirstnamefpk
   on extended_lookup.uk_firstname_f
   (seq asc);
alter table extended_lookup.uk_firstname_f
   add primary key
   (seq);


--table extended_lookup.uk_firstname
--drop table extended_lookup.uk_firstname_m;
create table extended_lookup.uk_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);

create unique index extended_lookup.xukfirstnamemuq
   on extended_lookup.uk_firstname_m
   (firstname asc);
alter table extended_lookup.uk_firstname_m add constraint uuk_firstnamem
                                        unique (firstname);

create unique index extended_lookup.xukfirstnamempk
   on extended_lookup.uk_firstname_m
   (seq asc);
alter table extended_lookup.uk_firstname_m
   add primary key
   (seq);


--table extended_lookup.uk_lastname
--drop table extended_lookup.uk_lastname;
create table extended_lookup.uk_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);

create unique index extended_lookup.xuklastnameuq
   on extended_lookup.uk_lastname
   (lastname asc);
alter table extended_lookup.uk_lastname add constraint uuk_lastname
unique (lastname);

create unique index extended_lookup.xuklastnamepk
   on extended_lookup.uk_lastname
   (seq asc);
alter table extended_lookup.uk_lastname
   add primary key
   (seq);

--table extended_lookup.company
--drop table extended_lookup.company;
create table extended_lookup.company (
  seq int generated always as identity
                (start with -4, increment by 1),
   name varchar(50) not null);

create unique index extended_lookup.xcompanyuq
   on extended_lookup.company
   (name asc);
alter table extended_lookup.company add constraint u_company
                                        unique (name);

create unique index extended_lookup.xcompanypk
   on extended_lookup.company
   (seq asc);
alter table extended_lookup.company
   add primary key
   (seq);

--table extended_lookup.nationality
--drop table extended_lookup.nationality;
create table extended_lookup.nationality (
  seq int generated always as identity
                (start with -4, increment by 1),
   id varchar(20) not null);

create unique index extended_lookup.xnationalityuq
   on extended_lookup.nationality
   (id asc);
alter table extended_lookup.nationality add constraint u_nationality
                                        unique (id);

create unique index extended_lookup.xnationalitypk
   on extended_lookup.nationality
   (seq asc);
alter table extended_lookup.nationality
   add primary key
   (seq);

--table extended_lookup.domain_names
--drop table extended_lookup.domain_names;
create table extended_lookup.domain_names (
  seq int generated always as identity
                (start with -4, increment by 1),
   domain_name varchar(50) not null);

create unique index extended_lookup.xdomainnamesuq
   on extended_lookup.domain_names
   (domain_name asc);
alter table extended_lookup.domain_names add constraint u_domain_names
                                        unique (domain_name);

create unique index extended_lookup.xdomainnamespk
   on extended_lookup.domain_names
   (seq asc);
alter table extended_lookup.domain_names
   add primary key
   (seq);
--------------------------------------------------------------------------------

--Japanese extended lookup tables
--table extended_lookup.jp_address
--drop table extended_lookup.JP_ADDRESSES;
create table extended_lookup.JP_ADDRESSES
(
  seq int generated always as identity
              (start with -4, increment by 1),
  ZIPCODE CHAR(7) not null,
  PREFECTURE VARCHAR(12),
  CITY  VARCHAR(40) not null,
  ADDRESS1  VARCHAR(50) not null,
  ADDRESS2  VARCHAR(50)
);

create unique index extended_lookup.xjpaddruq
   on extended_lookup.jp_addresses
   (address1 asc,
    city asc,
    zipcode asc);
alter table extended_lookup.jp_addresses add constraint ujp_addresses
                              unique (address1,
                              city,
                              zipcode);


create unique index extended_lookup.xjpaddrpk
   on extended_lookup.jp_addresses
   (seq  asc);
alter table extended_lookup.jp_addresses
   add primary key
   (seq);

--drop table extended_lookup.JP_PERSON;
create table extended_lookup.JP_PERSON
(
  seq int generated always as identity
              (start with -4, increment by 1),
  ID CHAR(6),
  FIRSTNAME VARCHAR(30) not null,
  LASTNAME VARCHAR(30) not null,
  COMPANY VARCHAR(40),
  RESIDENTID CHAR(11),
  SEX CHAR(3) not null,
  PHONE CHAR(12) not null,
  BIRTHDATE DATE not null,
  EMAIL_ADDRESS VARCHAR(50)
);

create unique index extended_lookup.xjppersonuq
   on extended_lookup.jp_person
   ( firstname asc,
     lastname asc,
     sex asc,
     phone asc,
     birthdate asc);
alter table extended_lookup.jp_person add constraint ujp_person
                              unique (
                              firstname,
                              lastname,
                              sex,
                              phone,
                              birthdate);

create unique index extended_lookup.xjppersonpk
   on extended_lookup.jp_person
   (seq  asc);
alter table extended_lookup.jp_person
   add primary key
   (seq);

--drop table extended_lookup.JP_FIRSTNAME;
create table extended_lookup.JP_FIRSTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1),
  FIRSTNAME VARCHAR(30) not null
);

create unique index extended_lookup.xjpfirstnameuq
   on extended_lookup.jp_firstname
   (firstname asc);
alter table extended_lookup.jp_firstname add constraint ujp_firstname
                                      unique (firstname);

create unique index extended_lookup.xjpfirstnamepk
   on extended_lookup.jp_firstname
   (seq asc);
alter table extended_lookup.jp_firstname
   add primary key
   (seq);

--drop table extended_lookup.JP_FIRSTNAME_F;
create table extended_lookup.JP_FIRSTNAME_F
(
  seq int generated always as identity
              (start with -4, increment by 1),
  FIRSTNAME VARCHAR(30) not null
);

create unique index extended_lookup.xjpfirstnamefuq
   on extended_lookup.jp_firstname_f
   (firstname asc);
alter table extended_lookup.jp_firstname_f add constraint ujp_firstnamef
                                      unique (firstname);

create unique index extended_lookup.xjpfirstnamefpk
   on extended_lookup.jp_firstname_f
   (seq asc);
alter table extended_lookup.jp_firstname_f
   add primary key
   (seq);

--drop table extended_lookup.JP_FIRSTNAME_M;
create table extended_lookup.JP_FIRSTNAME_M
(
  seq int generated always as identity
              (start with -4, increment by 1),
  FIRSTNAME VARCHAR(30)not null
);


create unique index extended_lookup.xjpfirstnamemuq
   on extended_lookup.jp_firstname_m
   (firstname asc);
alter table extended_lookup.jp_firstname_m add constraint ujp_firstnamem
                                      unique (firstname);

create unique index extended_lookup.xjpfirstnamempk
   on extended_lookup.jp_firstname_m
   (seq asc);
alter table extended_lookup.jp_firstname_m
   add primary key
   (seq);

--drop table extended_lookup.JP_LASTNAME;
create table extended_lookup.JP_LASTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1),
  LASTNAME VARCHAR(30) not null
);

create unique index extended_lookup.xjplastnameuq
   on extended_lookup.jp_lastname
   (lastname asc);
alter table extended_lookup.jp_lastname add constraint ujp_lastname
                                      unique (lastname);

create unique index extended_lookup.xjplastnamepk
   on extended_lookup.jp_lastname
   (seq asc);
alter table extended_lookup.jp_lastname
   add primary key
   (seq);

--table extended_lookup.jp_domain_names
--drop table extended_lookup.jp_domain_names;
create table extended_lookup.jp_domain_names (
  seq int generated always as identity
                (start with -4, increment by 1),
   domain_name varchar(50) not null);

create unique index extended_lookup.jp_domainnamesuq
   on extended_lookup.jp_domain_names
   (domain_name asc);
alter table extended_lookup.jp_domain_names add constraint u_domain_names
                                        unique (domain_name);
create unique index extended_lookup.jp_domainnamespk
   on extended_lookup.jp_domain_names
   (seq asc);
alter table extended_lookup.jp_domain_names
   add primary key
   (seq);

--------------------------------------------------------------------------------
-- Credit cards
--table extended_lookup.amex_ccn (american express)
--drop table extended_lookup.amex_ccn;
create table extended_lookup.amex_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue char(15) not null);

create unique index extended_lookup.xamexccnuq
   on extended_lookup.amex_ccn
   (datavalue asc);
alter table extended_lookup.amex_ccn add constraint u_amex
                                        unique (datavalue);

create unique index extended_lookup.xamexccnpk
   on extended_lookup.amex_ccn
   (seq asc);
alter table extended_lookup.amex_ccn
   add primary key
   (seq);

--table extended_lookup.mc_ccn (master card)
--drop table extended_lookup.mc_ccn;
create table extended_lookup.mc_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue char(16) not null);

create unique index extended_lookup.xmcccnuq
   on extended_lookup.mc_ccn
   (datavalue asc);
alter table extended_lookup.mc_ccn add constraint u_mc
                                        unique (datavalue);

create unique index extended_lookup.xmcccnpk
   on extended_lookup.mc_ccn
   (seq asc);
alter table extended_lookup.mc_ccn
   add primary key
   (seq);

--table extended_lookup.dc_ccn (diners club)
--drop table extended_lookup.dc_ccn;
create table extended_lookup.dc_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue char(14) not null);

create unique index extended_lookup.xdcccnuq
   on extended_lookup.dc_ccn
   (datavalue asc);
alter table extended_lookup.dc_ccn add constraint u_dc
                                        unique (datavalue);

create unique index extended_lookup.xdcccnpk
   on extended_lookup.dc_ccn
   (seq asc);
alter table extended_lookup.dc_ccn
   add primary key
   (seq);

--table extended_lookup.visa_ccn (VISA)
--drop table extended_lookup.visa_ccn;
create table extended_lookup.visa_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue varchar(16) not null);

create unique index extended_lookup.xvisaccnuq
   on extended_lookup.visa_ccn
   (datavalue asc);
alter table extended_lookup.visa_ccn add constraint u_visa
                                        unique (datavalue);

create unique index extended_lookup.xvisaccnpk
   on extended_lookup.visa_ccn
   (seq asc);
alter table extended_lookup.visa_ccn
   add primary key
   (seq);

--table extended_lookup.discover_ccn
--drop table extended_lookup.disc_ccn;
create table extended_lookup.disc_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue char(16) not null);

create unique index extended_lookup.xdiscccnuq
   on extended_lookup.disc_ccn
   (datavalue asc);
alter table extended_lookup.disc_ccn add constraint u_disc
                                        unique (datavalue);

create unique index extended_lookup.xdiscccnpk
   on extended_lookup.disc_ccn
   (seq asc);
alter table extended_lookup.disc_ccn
   add primary key
   (seq);

--table extended_lookup.jcb_ccn
--drop table extended_lookup.jcb_ccn;
create table extended_lookup.jcb_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue varchar(16) not null);

create unique index extended_lookup.xjcbccnuq
   on extended_lookup.jcb_ccn
   (datavalue asc);
alter table extended_lookup.jcb_ccn add constraint u_jcb
                                        unique (datavalue);

create unique index extended_lookup.xjcbccnpk
   on extended_lookup.jcb_ccn
   (seq asc);
alter table extended_lookup.jcb_ccn
   add primary key
   (seq);




