--Note: Informix does not support a negative start value for a serial column. However, 
--       serial values can be inserted by the loader, providing they are unique
--Australian extended lookup tables
--table extended_lookup.au_address
--drop table extended_lookup.au_addresses;
create table extended_lookup.au_addresses (
    seq serial,
    address1 varchar(50) not null,
    address2 varchar(50),
    locality varchar(28),
    city     varchar(40) not null,
    postcode char(8) not null);
alter table extended_lookup.au_addresses add constraint unique (address1,
                                city,
                                postcode)
                                constraint uau_addresses;

create unique index xauaddrpk
   on extended_lookup.au_addresses
   (seq  asc);
alter table extended_lookup.au_addresses
   add constraint primary key
   (seq);


--table extended_lookup.au_person
--drop table extended_lookup.au_person;
create table extended_lookup.au_person (
    seq serial,
    id char(6),
    firstname varchar(30) not null,
    lastname varchar(30) not null,
    company varchar(40),
    nationalid varchar(11),
    sex char(1) not null,
    phone varchar(14) not null,
    birthdate date  not null,
    email_address varchar(50));
alter table extended_lookup.au_person add constraint unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate)
                                constraint uau_person;

create unique index xaupersonpk
   on extended_lookup.au_person
   (seq  asc);
alter table extended_lookup.au_person
   add constraint primary key
   (seq);

--table extended_lookup.au_firstname
--drop table extended_lookup.au_firstname;
create table extended_lookup.au_firstname (
    seq serial,
    firstname varchar(30) not null);
alter table extended_lookup.au_firstname add constraint unique (firstname)
                                constraint uau_firstname;

create unique index xaufirstnamepk
   on extended_lookup.au_firstname
   (seq asc);
alter table extended_lookup.au_firstname
   add constraint primary key
   (seq);


--table extended_lookup.au_firstnamef
--drop table extended_lookup.au_firstname_f;
create table extended_lookup.au_firstname_f (
    seq serial,
    firstname varchar(30) not null);
alter table extended_lookup.au_firstname_f add constraint unique (firstname)
                                constraint uau_firstnamef;

create unique index xaufirstnamefpk
   on extended_lookup.au_firstname_f
   (seq asc);
alter table extended_lookup.au_firstname_f
   add constraint primary key
   (seq);


--table extended_lookup.au_firstnamem
--drop table extended_lookup.au_firstname_m;
create table extended_lookup.au_firstname_m (
    seq serial,
    firstname varchar(30) not null);
alter table extended_lookup.au_firstname_m add constraint unique (firstname)
                                constraint uau_firstnamem;

create unique index xaufirstnamempk
   on extended_lookup.au_firstname_m
   (seq asc);
alter table extended_lookup.au_firstname_m
   add constraint primary key
   (seq);


--table extended_lookup.au_lastname
--drop table extended_lookup.au_lastname;
create table extended_lookup.au_lastname (
    seq serial,
    lastname varchar(30) not null);
alter table extended_lookup.au_lastname add constraint unique (lastname)
                                 constraint uau_lastname;

create unique index xaulastnamepk
   on extended_lookup.au_lastname
   (seq asc);
alter table extended_lookup.au_lastname
   add constraint primary key
   (seq);


--------------------------------------------------------------------------------
--Canadian extended lookup tables
--table extended_lookup.ca_address
--drop table extended_lookup.ca_addresses;
create table extended_lookup.ca_addresses (
 seq serial,
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 city     varchar(40)not null,
 postcode char(8)not null);
alter table extended_lookup.ca_addresses add constraint unique (address1,
                                city,
                                postcode)
                                constraint uca_addresses;

create unique index xcaaddrpk
   on extended_lookup.ca_addresses
   (seq  asc);
alter table extended_lookup.ca_addresses
   add constraint primary key
   (seq);

--table extended_lookup.ca_person
--drop table extended_lookup.ca_person;
create table extended_lookup.ca_person (
  seq serial,
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(13) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.ca_person add constraint unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate)
                                constraint uca_person;

create unique index xcapersonpk
   on extended_lookup.ca_person
   (seq  asc);
alter table extended_lookup.ca_person
   add constraint primary key
   (seq);

--table extended_lookup.ca_firstname
--drop table extended_lookup.ca_firstname;
create table extended_lookup.ca_firstname (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.ca_firstname add constraint unique (firstname)
                                constraint uca_firstname;

create unique index xcafirstnamepk
   on extended_lookup.ca_firstname
   (seq asc);
alter table extended_lookup.ca_firstname
   add constraint primary key
   (seq);


--table extended_lookup.ca_firstnamef
--drop table extended_lookup.ca_firstname_f;
create table extended_lookup.ca_firstname_f (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.ca_firstname_f add constraint unique (firstname)
                                        constraint uca_firstnamef;

create unique index xcafirstnamefpk
   on extended_lookup.ca_firstname_f
   (seq asc);
alter table extended_lookup.ca_firstname_f
   add constraint primary key
   (seq);


--table extended_lookup.ca_firstnamem
--drop table extended_lookup.ca_firstname_m;
create table extended_lookup.ca_firstname_m (
  seq serial,
  firstname varchar(30)not null);
alter table extended_lookup.ca_firstname_m add constraint unique (firstname)
                                        constraint uca_firstnamem;

create unique index xcafirstnamempk
   on extended_lookup.ca_firstname_m
   (seq asc);
alter table extended_lookup.ca_firstname_m
   add constraint primary key
   (seq);


--table extended_lookup.ca_lastname
--drop table extended_lookup.ca_lastname;
create table extended_lookup.ca_lastname (
  seq serial,
  lastname varchar(30) not null);
alter table extended_lookup.ca_lastname add constraint unique (lastname)
                                       constraint uca_lastname;

create unique index xcalastnamepk
   on extended_lookup.ca_lastname
   (seq asc);
alter table extended_lookup.ca_lastname
   add constraint primary key
   (seq);


--------------------------------------------------------------------------------
--French extended lookup tables
--table extended_lookup.fr_address
--drop table extended_lookup.fr_addresses;
create table extended_lookup.fr_addresses (
 seq serial,
 address1 varchar(50)not null,
 address2 varchar(50),
 locality varchar(28),
 posttown varchar(40)not null,
 postcode char(8) not null);
alter table extended_lookup.fr_addresses add constraint unique (address1,
                                posttown,
                                postcode)
                                constraint ufr_addresses;

create unique index xfraddrpk
   on extended_lookup.fr_addresses
   (seq  asc);
alter table extended_lookup.fr_addresses
   add constraint primary key
   (seq);


--table extended_lookup.fr_person
--drop table extended_lookup.fr_person;
create table extended_lookup.fr_person (
  seq serial,
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11) ,
  sex char(1) not null,
  phone varchar(14) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.fr_person add constraint unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate)
                                constraint ufr_person;

create unique index xfrpersonpk
   on extended_lookup.fr_person
   (seq  asc);
alter table extended_lookup.fr_person
   add constraint primary key
   (seq);

--table extended_lookup.fr_firstname
--drop table extended_lookup.fr_firstname;
create table extended_lookup.fr_firstname (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.fr_firstname add constraint unique (firstname)
                                constraint ufr_firstname;

create unique index xfrfirstnamepk
   on extended_lookup.fr_firstname
   (seq asc);
alter table extended_lookup.fr_firstname
   add constraint primary key
   (seq);


--table extended_lookup.fr_firstnamef
--drop table extended_lookup.fr_firstname_f;
create table extended_lookup.fr_firstname_f (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.fr_firstname_f add constraint unique (firstname)
                                        constraint ufr_firstnamef;

create unique index xfrfirstnamefpk
   on extended_lookup.fr_firstname_f
   (seq asc);
alter table extended_lookup.fr_firstname_f
   add constraint primary key
   (seq);


--table extended_lookup.fr_firstname
--drop table extended_lookup.fr_firstname_m;
create table extended_lookup.fr_firstname_m (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.fr_firstname_m add constraint unique (firstname)
                                        constraint ufr_firstnamem;

create unique index xfrfirstnamempk
   on extended_lookup.fr_firstname_m
   (seq asc);
alter table extended_lookup.fr_firstname_m
   add constraint primary key
   (seq);

--table extended_lookup.fr_lastname
--drop table extended_lookup.fr_lastname;
create table extended_lookup.fr_lastname (
  seq serial,
  lastname varchar(30) not null);
alter table extended_lookup.fr_lastname add constraint unique (lastname)
                                        constraint ufr_lastname;

create unique index xfrlastnamepk
   on extended_lookup.fr_lastname
   (seq asc);
alter table extended_lookup.fr_lastname
   add constraint primary key
   (seq);


--------------------------------------------------------------------------------
--German extended lookup tables
--table extended_lookup.de_address
--drop table extended_lookup.de_addresses;
create table extended_lookup.de_addresses (
  seq serial,
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 city     varchar(40)not null,
 postcode char(8)not null);
alter table extended_lookup.de_addresses add constraint unique (address1,
                                city,
                                postcode)
                                constraint ude_addresses;

create unique index xdeaddrpk
   on extended_lookup.de_addresses
   (seq  asc);
alter table extended_lookup.de_addresses
   add constraint primary key
   (seq);


--table extended_lookup.de_person
--drop table extended_lookup.de_person;
create table extended_lookup.de_person (
  seq serial,
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(14) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.de_person add constraint unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate)
                                constraint ude_person;

create unique index xdepersonpk
   on extended_lookup.de_person
   (seq  asc);
alter table extended_lookup.de_person
   add constraint primary key
   (seq);

--table extended_lookup.de_firstname
--drop table extended_lookup.de_firstname;
create table extended_lookup.de_firstname (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.de_firstname add constraint unique (firstname)
                                        constraint ude_firstname;

create unique index xdefirstnamepk
   on extended_lookup.de_firstname
   (seq asc);
alter table extended_lookup.de_firstname
   add constraint primary key
   (seq);


--table extended_lookup.de_firstnamef
--drop table extended_lookup.de_firstname_f;
create table extended_lookup.de_firstname_f (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.de_firstname_f add constraint unique (firstname)
                                        constraint ude_firstnamef;

create unique index xdefirstnamefpk
   on extended_lookup.de_firstname_f
   (seq asc);
alter table extended_lookup.de_firstname_f
   add constraint primary key
   (seq);


--table extended_lookup.de_firstname
--drop table extended_lookup.de_firstname_m;
create table extended_lookup.de_firstname_m (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.de_firstname_m add constraint unique (firstname)
                                        constraint ude_firstnamem;

create unique index xdefirstnamempk
   on extended_lookup.de_firstname_m
   (seq asc);
alter table extended_lookup.de_firstname_m
   add constraint primary key
   (seq);


--table extended_lookup.de_lastname
--drop table extended_lookup.de_lastname;
create table extended_lookup.de_lastname (
  seq serial,
  lastname varchar(30) not null);
alter table extended_lookup.de_lastname add constraint unique (lastname)
                                        constraint ude_lastname;
create unique index xdelastnamepk
   on extended_lookup.de_lastname
   (seq asc);
alter table extended_lookup.de_lastname
   add constraint primary key
   (seq);


--------------------------------------------------------------------------------

--Spanish extended lookup tables
--table extended_lookup.es_address
--drop table extended_lookup.es_addresses;
create table extended_lookup.es_addresses (
 seq serial,
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 city     varchar(40) not null,
 postcode char(8) not null);
alter table extended_lookup.es_addresses add constraint unique (address1,
                                city,
                                postcode)
                                constraint ues_addresses;

create unique index xesaddrpk
   on extended_lookup.es_addresses
   (seq  asc);
alter table extended_lookup.es_addresses
   add constraint primary key
   (seq);


--table extended_lookup.es_person
--drop table extended_lookup.es_person;
create table extended_lookup.es_person (
  seq serial,
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1)  not null,
  phone varchar(14),
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.es_person add constraint unique (
                                firstname,
                                lastname,
                                sex,
                                birthdate)
                                constraint ues_person;

create unique index xespersonpk
   on extended_lookup.es_person
   (seq  asc);
alter table extended_lookup.es_person
   add constraint primary key
   (seq);

--table extended_lookup.es_firstname
--drop table extended_lookup.es_firstname;
create table extended_lookup.es_firstname (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.es_firstname add constraint unique (firstname)
                                        constraint ues_firstname;

create unique index xesfirstnamepk
   on extended_lookup.es_firstname
   (seq asc);
alter table extended_lookup.es_firstname
   add constraint primary key
   (seq);


--table extended_lookup.es_firstnamef
--drop table extended_lookup.es_firstname_f;
create table extended_lookup.es_firstname_f (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.es_firstname_f add constraint unique (firstname)
                                        constraint ues_firstnamef;

create unique index xesfirstnamefpk
   on extended_lookup.es_firstname_f
   (seq asc);
alter table extended_lookup.es_firstname_f
   add constraint primary key
   (seq);


--table extended_lookup.es_firstname
--drop table extended_lookup.es_firstname_m;
create table extended_lookup.es_firstname_m (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.es_firstname_m add constraint unique (firstname)
                                        constraint ues_firstnamem;

create unique index xesfirstnamempk
   on extended_lookup.es_firstname_m
   (seq asc);
alter table extended_lookup.es_firstname_m
   add constraint primary key
   (seq);


--table extended_lookup.es_lastname
--drop table extended_lookup.es_lastname;
create table extended_lookup.es_lastname (
  seq serial,
  lastname varchar(30) not null);
alter table extended_lookup.es_lastname add constraint unique (lastname)
                                        constraint ues_lastname;

create unique index xeslastnamepk
   on extended_lookup.es_lastname
   (seq asc);
alter table extended_lookup.es_lastname
   add constraint primary key
   (seq);


--------------------------------------------------------------------------------

--Italian extended lookup tables
--table extended_lookup.it_address
--drop table extended_lookup.it_addresses;
create table extended_lookup.it_addresses (
 seq serial,
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 posttown varchar(40)not null,
 postcode char(8) not null);
alter table extended_lookup.it_addresses add constraint unique (address1,
                                posttown,
                                postcode)
                                constraint uit_addresses;

create unique index xitaddrpk
   on extended_lookup.it_addresses
   (seq  asc);
alter table extended_lookup.it_addresses
   add constraint primary key
   (seq);


--table extended_lookup.it_person
--drop table extended_lookup.it_person;
create table extended_lookup.it_person (
  seq serial,
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(16),
  sex char(1) not null,
  phone varchar(12) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.it_person add constraint unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate)
                                constraint uit_person;

create unique index xitpersonpk
   on extended_lookup.it_person
   (seq  asc);
alter table extended_lookup.it_person
   add constraint primary key
   (seq);

--table extended_lookup.it_firstname
--drop table extended_lookup.it_firstname;
create table extended_lookup.it_firstname (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.it_firstname add constraint unique (firstname)
                                        constraint uit_firstname;

create unique index xitfirstnamepk
   on extended_lookup.it_firstname
   (seq asc);
alter table extended_lookup.it_firstname
   add constraint primary key
   (seq);


--table extended_lookup.it_firstnamef
--drop table extended_lookup.it_firstname_f;
create table extended_lookup.it_firstname_f (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.it_firstname_f add constraint unique (firstname)
                                        constraint uit_firstnamef;

create unique index xitfirstnamefpk
   on extended_lookup.it_firstname_f
   (seq asc);
alter table extended_lookup.it_firstname_f
   add constraint primary key
   (seq);


--table extended_lookup.it_firstname
--drop table extended_lookup.it_firstname_m;
create table extended_lookup.it_firstname_m (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.it_firstname_m add constraint unique (firstname)
                                        constraint uit_firstnamem;

create unique index xitfirstnamempk
   on extended_lookup.it_firstname_m
   (seq asc);
alter table extended_lookup.it_firstname_m
   add constraint primary key
   (seq);


--table extended_lookup.it_lastname
--drop table extended_lookup.it_lastname;
create table extended_lookup.it_lastname (
  seq serial,
  lastname varchar(30) not null);
alter table extended_lookup.it_lastname add constraint unique (lastname)
                                        constraint uit_lastname;

create unique index xitlastnamepk
   on extended_lookup.it_lastname
   (seq asc);
alter table extended_lookup.it_lastname
   add constraint primary key
   (seq);

--------------------------------------------------------------------------------
--table extended_lookup.us_address
--drop table extended_lookup.us_addresses;
create table extended_lookup.us_addresses (
  seq serial,
 address1 varchar(50) not null,
 address2 varchar(50),
 city varchar(40) not null,
 state char(2) not null,
 zipcode char(5) not null,
 zipplus4 char(4) not null);
alter table extended_lookup.us_addresses add constraint unique (address1,
                                city,
                                state,
                                zipcode,
                                zipplus4)
                                constraint uus_addresses;

create unique index xusaddrpk
   on extended_lookup.us_addresses
   (seq  asc);
alter table extended_lookup.us_addresses
   add constraint primary key
   (seq);


--table extended_lookup.us_person
--drop table extended_lookup.us_person;
create table extended_lookup.us_person (
  seq serial,
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  ssn varchar(11),
  sex char(1) not null,
  phone varchar(12) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.us_person add constraint unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate)
                                constraint uus_person;

create unique index xuspersonpk
   on extended_lookup.us_person
   (seq  asc);
alter table extended_lookup.us_person
   add constraint primary key
   (seq);

--table extended_lookup.us_firstname
--drop table extended_lookup.us_firstname;
create table extended_lookup.us_firstname (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.us_firstname add constraint unique (firstname)
                                        constraint uus_firstname;

create unique index xusfirstnamepk
   on extended_lookup.us_firstname
   (seq asc);
alter table extended_lookup.us_firstname
   add constraint primary key
   (seq);


--table extended_lookup.us_firstnamef
--drop table extended_lookup.us_firstname_f;
create table extended_lookup.us_firstname_f (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.us_firstname_f add constraint unique (firstname)
                                        constraint uus_firstnamef;

create unique index xusfirstnamefpk
   on extended_lookup.us_firstname_f
   (seq asc);
alter table extended_lookup.us_firstname_f
   add constraint primary key
   (seq);


--table extended_lookup.us_firstnamem
--drop table extended_lookup.us_firstname_m;
create table extended_lookup.us_firstname_m (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.us_firstname_m add constraint unique (firstname)
                                        constraint uus_firstnamem;

create unique index xusfirstnamempk
   on extended_lookup.us_firstname_m
   (seq asc);
alter table extended_lookup.us_firstname_m
   add constraint primary key
   (seq);


--table extended_lookup.us_lastname
--drop table extended_lookup.us_lastname;
create table extended_lookup.us_lastname (
  seq serial,
  lastname varchar(30) not null);
alter table extended_lookup.us_lastname add constraint unique (lastname)
                                        constraint uus_lastname;

create unique index xuslastnamepk
   on extended_lookup.us_lastname
   (seq asc);
alter table extended_lookup.us_lastname
   add constraint primary key
   (seq);

--------------------------------------------------------------------------------

--table extended_lookup.uk_address
--drop table extended_lookup.uk_addresses;
create table extended_lookup.uk_addresses (
  seq serial,
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 posttown varchar(40) not null,
 postcode char(8) not null);
alter table extended_lookup.uk_addresses add constraint unique (address1,
                                posttown,
                                postcode)
                                constraint uuk_addresses;

create unique index xukaddrpk
   on extended_lookup.uk_addresses
   (seq  asc);
alter table extended_lookup.uk_addresses
   add constraint primary key
   (seq);


--table extended_lookup.uk_person
--drop table extended_lookup.uk_person;
create table extended_lookup.uk_person (
  seq serial,
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(13) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.uk_person add constraint unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate)
                                constraint uuk_person;

create unique index xukpersonpk
   on extended_lookup.uk_person
   (seq  asc);
alter table extended_lookup.uk_person
   add constraint primary key
   (seq);

--table extended_lookup.uk_firstname
--drop table extended_lookup.uk_firstname;
create table extended_lookup.uk_firstname (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.uk_firstname add constraint unique (firstname)
                                        constraint uuk_firstname;

create unique index xukfirstnamepk
   on extended_lookup.uk_firstname
   (seq asc);
alter table extended_lookup.uk_firstname
   add constraint primary key
   (seq);


--table extended_lookup.uk_firstnamef
--drop table extended_lookup.uk_firstname_f;
create table extended_lookup.uk_firstname_f (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.uk_firstname_f add constraint unique (firstname)
                                        constraint uuk_firstnamef;

create unique index xukfirstnamefpk
   on extended_lookup.uk_firstname_f
   (seq asc);
alter table extended_lookup.uk_firstname_f
   add constraint primary key
   (seq);


--table extended_lookup.uk_firstname
--drop table extended_lookup.uk_firstname_m;
create table extended_lookup.uk_firstname_m (
  seq serial,
  firstname varchar(30) not null);
alter table extended_lookup.uk_firstname_m add constraint unique (firstname)
                                        constraint uuk_firstnamem;

create unique index xukfirstnamempk
   on extended_lookup.uk_firstname_m
   (seq asc);
alter table extended_lookup.uk_firstname_m
   add constraint primary key
   (seq);


--table extended_lookup.uk_lastname
--drop table extended_lookup.uk_lastname;
create table extended_lookup.uk_lastname (
  seq serial,
  lastname varchar(30) not null);
alter table extended_lookup.uk_lastname add constraint unique (lastname)
                             constraint uuk_lastname;

create unique index xuklastnamepk
   on extended_lookup.uk_lastname
   (seq asc);
alter table extended_lookup.uk_lastname
   add constraint primary key
   (seq);

--table extended_lookup.company
--drop table extended_lookup.company;
create table extended_lookup.company (
  seq serial,
   name varchar(50) not null);
alter table extended_lookup.company add constraint unique (name)
                                        constraint u_company;

create unique index xcompanypk
   on extended_lookup.company
   (seq asc);
alter table extended_lookup.company
   add constraint primary key
   (seq);

--table extended_lookup.nationality
--drop table extended_lookup.nationality;
create table extended_lookup.nationality (
  seq serial,
   id varchar(20) not null);
alter table extended_lookup.nationality add constraint unique (id)
                                        constraint u_nationality;

create unique index xnationalitypk
   on extended_lookup.nationality
   (seq asc);
alter table extended_lookup.nationality
   add constraint primary key
   (seq);

--table extended_lookup.domain_names
--drop table extended_lookup.domain_names;
create table extended_lookup.domain_names (
  seq serial,
   domain_name varchar(50) not null);
alter table extended_lookup.domain_names add constraint unique (domain_name)
                                        constraint u_domain_names;

create unique index xdomainnamespk
   on extended_lookup.domain_names
   (seq asc);
alter table extended_lookup.domain_names
   add constraint primary key
   (seq);
--------------------------------------------------------------------------------

--Japanese extended lookup tables
--table extended_lookup.jp_address
--drop table extended_lookup.JP_ADDRESSES;
create table extended_lookup.JP_ADDRESSES
(
  seq serial,
  ZIPCODE CHAR(7) not null,
  PREFECTURE VARCHAR(12),
  CITY  VARCHAR(40) not null,
  ADDRESS1  VARCHAR(50) not null,
  ADDRESS2  VARCHAR(50)
);
alter table extended_lookup.jp_addresses add constraint unique (address1,
                              city,
                              zipcode)
                              constraint ujp_addresses;

--drop table extended_lookup.JP_PERSON;
create table extended_lookup.JP_PERSON
(
  seq serial,
  ID CHAR(6),
  FIRSTNAME VARCHAR(30) not null,
  LASTNAME VARCHAR(30) not null,
  COMPANY VARCHAR(40),
  RESIDENTID CHAR(11),
  SEX CHAR(3) not null,
  PHONE CHAR(12) not null,
  BIRTHDATE DATE not null,
  EMAIL_ADDRESS VARCHAR(50)
);
alter table extended_lookup.jp_person add constraint unique (
                              firstname,
                              lastname,
                              sex,
                              phone,
                              birthdate)
                              constraint ujp_person;

--drop table extended_lookup.JP_FIRSTNAME;
create table extended_lookup.JP_FIRSTNAME
(
  seq serial,
  FIRSTNAME VARCHAR(30) not null
);
alter table extended_lookup.jp_firstname add constraint unique (firstname)
                                      constraint ujp_firstname;

--drop table extended_lookup.JP_FIRSTNAME_F;
create table extended_lookup.JP_FIRSTNAME_F
(
  seq serial,
  FIRSTNAME VARCHAR(30) not null
);
alter table extended_lookup.jp_firstname_f add constraint unique (firstname)
                                      constraint ujp_firstnamef;

--drop table extended_lookup.JP_FIRSTNAME_M;
create table extended_lookup.JP_FIRSTNAME_M
(
  seq serial,
  FIRSTNAME VARCHAR(30)not null
);
alter table extended_lookup.jp_firstname_m add constraint unique (firstname)
                                      constraint ujp_firstnamem;

--drop table extended_lookup.JP_LASTNAME;
create table extended_lookup.JP_LASTNAME
(
  seq serial,
  LASTNAME VARCHAR(30) not null
);
alter table extended_lookup.jp_lastname add constraint unique (lastname)
                                      constraint ujp_lastname;

--table extended_lookup.jp_domain_names
--drop table extended_lookup.jp_domain_names;
create table extended_lookup.jp_domain_names (
  seq serial,
   domain_name varchar(50) not null);
alter table extended_lookup.jp_domain_names add constraint unique (domain_name)
                                        constraint ujp_domain_names;
create unique index jp_domainnamespk
   on extended_lookup.jp_domain_names
   (seq asc);
alter table extended_lookup.jp_domain_names
   add constraint primary key
   (seq);

--------------------------------------------------------------------------------
-- Credit cards
--table extended_lookup.amex_ccn (american express)
--drop table extended_lookup.amex_ccn;
create table extended_lookup.amex_ccn (
  seq serial,
   datavalue char(15) not null);
alter table extended_lookup.amex_ccn add constraint unique (datavalue)
                                        constraint u_amex;

create unique index xamexccnpk
   on extended_lookup.amex_ccn
   (seq asc);
alter table extended_lookup.amex_ccn
   add constraint primary key
   (seq);

--table extended_lookup.mc_ccn (master card)
--drop table extended_lookup.mc_ccn;
create table extended_lookup.mc_ccn (
  seq serial,
   datavalue char(16) not null);
alter table extended_lookup.mc_ccn add constraint unique (datavalue)
                                        constraint u_mc;

create unique index xmcccnpk
   on extended_lookup.mc_ccn
   (seq asc);
alter table extended_lookup.mc_ccn
   add constraint primary key
   (seq);

--table extended_lookup.dc_ccn (diners club)
--drop table extended_lookup.dc_ccn;
create table extended_lookup.dc_ccn (
  seq serial,
   datavalue char(14) not null);
alter table extended_lookup.dc_ccn add constraint unique (datavalue)
                                        constraint u_dc;

create unique index xdcccnpk
   on extended_lookup.dc_ccn
   (seq asc);
alter table extended_lookup.dc_ccn
   add constraint primary key
   (seq);

--table extended_lookup.visa_ccn (VISA)
--drop table extended_lookup.visa_ccn;
create table extended_lookup.visa_ccn (
  seq serial,
   datavalue varchar(16) not null);
alter table extended_lookup.visa_ccn add constraint unique (datavalue)
                                        constraint u_visa;

create unique index xvisaccnpk
   on extended_lookup.visa_ccn
   (seq asc);
alter table extended_lookup.visa_ccn
   add constraint primary key
   (seq);

--table extended_lookup.discover_ccn
--drop table extended_lookup.disc_ccn;
create table extended_lookup.disc_ccn (
  seq serial,
   datavalue char(16) not null);
alter table extended_lookup.disc_ccn add constraint unique (datavalue)
                                        constraint u_disc;

create unique index xdiscccnpk
   on extended_lookup.disc_ccn
   (seq asc);
alter table extended_lookup.disc_ccn
   add constraint primary key
   (seq);

--table extended_lookup.jcb_ccn
--drop table extended_lookup.jcb_ccn;
create table extended_lookup.jcb_ccn (
  seq serial,
   datavalue varchar(16) not null);
alter table extended_lookup.jcb_ccn add constraint unique (datavalue)
                                        constraint u_jcb;

create unique index xjcbccnpk
   on extended_lookup.jcb_ccn
   (seq asc);
alter table extended_lookup.jcb_ccn
   add constraint primary key
   (seq);




