
DROP TABLE EXTENDED_LOOKUP.IT_PERSON;
DROP TABLE EXTENDED_LOOKUP.IT_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.IT_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.IT_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.IT_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.IT_FIRSTNAME_M;


DROP TABLE EXTENDED_LOOKUP.UK_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.UK_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.UK_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.UK_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.UK_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.UK_PERSON;


DROP TABLE EXTENDED_LOOKUP.US_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.US_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.US_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.US_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.US_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.US_PERSON;


DROP TABLE EXTENDED_LOOKUP.JP_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.JP_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.JP_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.JP_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.JP_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.JP_PERSON;
DROP TABLE EXTENDED_LOOKUP.JP_DOMAIN_NAMES;


DROP TABLE EXTENDED_LOOKUP.NATIONALITY;
DROP TABLE EXTENDED_LOOKUP.DISC_CCN;
DROP TABLE EXTENDED_LOOKUP.MC_CCN;
DROP TABLE EXTENDED_LOOKUP.JCB_CCN;
DROP TABLE EXTENDED_LOOKUP.VISA_CCN;
DROP TABLE EXTENDED_LOOKUP.COMPANY;
DROP TABLE EXTENDED_LOOKUP.DC_CCN;
DROP TABLE EXTENDED_LOOKUP.AMEX_CCN;
DROP TABLE EXTENDED_LOOKUP.DOMAIN_NAMES;

COMMIT;

--Note: Sybase sequence does not support negative numbers
----------------------------------------------------------------------------------------
--AUSTRALIAN LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.AU_ADDRESSES (
                SEQ INT not null,
                ADDRESS1 NVARCHAR(50) NOT NULL,
                ADDRESS2 NVARCHAR(50),
                LOCALITY NVARCHAR(28),
                CITY NVARCHAR(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UAU_ADDRESSES UNIQUE (ADDRESS1,CITY,POSTCODE),
                CONSTRAINT PK_AU_ADDRESSES PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.AU_FIRSTNAME_F (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UAU_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_AU_FIRSTNAME_F PRIMARY KEY (SEQ)
        )




CREATE TABLE EXTENDED_LOOKUP.AU_FIRSTNAME_M (
                SEQ INT not null,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UAU_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_AU_FIRSTNAME_M PRIMARY KEY (SEQ)
        )




CREATE TABLE EXTENDED_LOOKUP.AU_FIRSTNAME (
                SEQ INT not null,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UAU_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_AU_FIRSTNAME PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.AU_LASTNAME (
                SEQ INT not null ,
                LASTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UAU_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_AU_LASTNAME PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.AU_PERSON (
                SEQ INT not null ,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR(30) NOT NULL,
                LASTNAME NVARCHAR(30) NOT NULL,
                COMPANY NVARCHAR(40),
                NATIONALID NVARCHAR(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR(14) NOT NULL,
                BIRTHDATETIME DATETIME NOT NULL,
                EMAIL_ADDRESS NVARCHAR(50),
                CONSTRAINT UAU_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATETIME),
                CONSTRAINT PK_AU_PERSON PRIMARY KEY (SEQ)
        )

-------------------------------------------------------------------------

--CANADIAN LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.CA_ADDRESSES (
                SEQ INT not null ,
                ADDRESS1 NVARCHAR(50) NOT NULL,
                ADDRESS2 NVARCHAR(50),
                LOCALITY NVARCHAR(28),
                CITY     NVARCHAR(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UCA_ADDRESSES UNIQUE (ADDRESS1, CITY, POSTCODE),
                CONSTRAINT PK_CA_ADDRESSES PRIMARY KEY (SEQ)
        )




CREATE TABLE EXTENDED_LOOKUP.CA_FIRSTNAME (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UCA_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_CA_FIRSTNAME PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.CA_FIRSTNAME_F (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UCA_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_CA_FIRSTNAME_F PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.CA_FIRSTNAME_M (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UCA_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_CA_FIRSTNAME_M PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.CA_LASTNAME (
                SEQ INT not null ,
                LASTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UCA_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_CA_LASTNAME PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.CA_PERSON (
                SEQ INT not null ,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR(30) NOT NULL,
                LASTNAME NVARCHAR(30) NOT NULL,
                COMPANY NVARCHAR(40),
                NATIONALID NVARCHAR(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR(13) NOT NULL,
                BIRTHDATETIME DATETIME NOT NULL,
                EMAIL_ADDRESS NVARCHAR(50),
                CONSTRAINT UCA_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATETIME),
                CONSTRAINT PK_CA_PERSON PRIMARY KEY (SEQ)
        )


------------------------------------------------------------------------------

--GERMAN LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.DE_ADDRESSES (
                SEQ INT not null ,
                ADDRESS1 NVARCHAR(50) NOT NULL,
                ADDRESS2 NVARCHAR(50),
                LOCALITY NVARCHAR(28),
                CITY    NVARCHAR(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UDE_ADDRESSES UNIQUE (ADDRESS1,CITY,POSTCODE),
                CONSTRAINT PK_DE_ADDRESSES PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.DE_FIRSTNAME (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UDE_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_DE_FIRSTNAME PRIMARY KEY (SEQ)            
        )



CREATE TABLE EXTENDED_LOOKUP.DE_FIRSTNAME_F (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UDE_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_DE_FIRSTNAME_F PRIMARY KEY (SEQ)
        )




CREATE TABLE EXTENDED_LOOKUP.DE_FIRSTNAME_M (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UDE_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_DE_FIRSTNAME_M PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.DE_LASTNAME (
                SEQ INT not null ,
                LASTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UDE_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_DE_LASTNAME PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.DE_PERSON (
                SEQ INT not null ,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR(30) NOT NULL,
                LASTNAME NVARCHAR(30) NOT NULL,
                COMPANY NVARCHAR(40),
                NATIONALID NVARCHAR(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR(14) NOT NULL,
                BIRTHDATETIME DATETIME NOT NULL,
                EMAIL_ADDRESS NVARCHAR(50),
                CONSTRAINT UDE_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATETIME),
                CONSTRAINT PK_DE_PERSON PRIMARY KEY (SEQ)
        )


---------------------------------------------------------------------------------------

--SPANISH LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.ES_ADDRESSES (
                SEQ INT not null ,
                ADDRESS1 NVARCHAR(50) NOT NULL,
                ADDRESS2 NVARCHAR(50),
                LOCALITY NVARCHAR(28),
                CITY     NVARCHAR(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UES_ADDRESSES UNIQUE (ADDRESS1,CITY,POSTCODE),
                CONSTRAINT PK_ES_ADDRESSES PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.ES_FIRSTNAME (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UES_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_ES_FIRSTNAME PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.ES_FIRSTNAME_F (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UES_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_ES_FIRSTNAME_F PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.ES_FIRSTNAME_M (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UES_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_ES_FIRSTNAME_M PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.ES_LASTNAME (
                SEQ INT not null ,
                LASTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UES_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_ES_LASTNAME PRIMARY KEY (SEQ)
        )

        
CREATE TABLE EXTENDED_LOOKUP.ES_PERSON (
                SEQ INT not null ,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR(30) NOT NULL,
                LASTNAME NVARCHAR(30) NOT NULL,
                COMPANY NVARCHAR(40),
                NATIONALID NVARCHAR(11),
                SEX NCHAR(1)  NOT NULL,
                PHONE NVARCHAR(14),
                BIRTHDATETIME DATETIME NOT NULL,
                EMAIL_ADDRESS NVARCHAR(50),
                CONSTRAINT UES_PERSON  UNIQUE (FIRSTNAME,LASTNAME,SEX,BIRTHDATETIME),
                CONSTRAINT PK_ES_PERSON PRIMARY KEY (SEQ)
        )


-------------------------------------------------------------------------------

--FRENCH LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.FR_ADDRESSES (
                SEQ INT not null ,
                ADDRESS1 NVARCHAR(50)NOT NULL,
                ADDRESS2 NVARCHAR(50),
                LOCALITY NVARCHAR(28),
                POSTTOWN NVARCHAR(40)NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UFR_ADDRESSES UNIQUE (ADDRESS1,POSTTOWN,POSTCODE),
                CONSTRAINT PK_FR_ADDRESSES PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.FR_FIRSTNAME (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UFR_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_FR_FIRSTNAME PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.FR_FIRSTNAME_F (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UFR_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_FR_FIRSTNAME_F PRIMARY KEY (SEQ)
        )




CREATE TABLE EXTENDED_LOOKUP.FR_FIRSTNAME_M (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UFR_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_FR_FIRSTNAME_M PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.FR_LASTNAME (
                SEQ INT not null ,
                LASTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UFR_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_FR_LASTNAME PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.FR_PERSON (
                SEQ INT not null ,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR(30) NOT NULL,
                LASTNAME NVARCHAR(30) NOT NULL,
                COMPANY NVARCHAR(40),
                NATIONALID NVARCHAR(11) ,
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR(14) NOT NULL,
                BIRTHDATETIME DATETIME NOT NULL,
                EMAIL_ADDRESS NVARCHAR(50),
                CONSTRAINT UFR_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATETIME),
                CONSTRAINT PK_FR_PERSON PRIMARY KEY (SEQ)
        )


-----------------------------------------------------------------------------------

--ITALIAN LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.IT_ADDRESSES (
                SEQ INT not null ,
                ADDRESS1 NVARCHAR(50) NOT NULL,
                ADDRESS2 NVARCHAR(50),
                LOCALITY NVARCHAR(28),
                POSTTOWN NVARCHAR(40)NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UIT_ADDRESSES UNIQUE (ADDRESS1,POSTTOWN,POSTCODE),
                CONSTRAINT PK_IT_ADDRESSES PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.IT_FIRSTNAME (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UIT_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_IT_FIRSTNAME PRIMARY KEY (SEQ)
        )




CREATE TABLE EXTENDED_LOOKUP.IT_FIRSTNAME_F (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UIT_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_IT_FIRSTNAME_F PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.IT_FIRSTNAME_M (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UIT_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_IT_FIRSTNAME_M PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.IT_LASTNAME (
                SEQ INT not null ,
                LASTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UIT_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_IT_LASTNAME PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.IT_PERSON (
                SEQ INT not null ,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR(30) NOT NULL,
                LASTNAME NVARCHAR(30) NOT NULL,
                COMPANY NVARCHAR(40),
                NATIONALID NVARCHAR(16),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR(12) NOT NULL,
                BIRTHDATETIME DATETIME NOT NULL,
                EMAIL_ADDRESS NVARCHAR(50),
                CONSTRAINT UIT_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATETIME),
                CONSTRAINT PK_IT_PERSON PRIMARY KEY (SEQ)
        )



-------------------------------------------------------------------------------------

--UK LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.UK_ADDRESSES (
                SEQ INT not null ,
                ADDRESS1 NVARCHAR(50) NOT NULL,                
                ADDRESS2 NVARCHAR(50),
                LOCALITY NVARCHAR(28),
                POSTTOWN NVARCHAR(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UUK_ADDRESSES UNIQUE (ADDRESS1,POSTTOWN,POSTCODE),
                CONSTRAINT PK_UK_ADDRESSES PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.UK_FIRSTNAME (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UUK_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_UK_FIRSTNAME PRIMARY KEY (SEQ)
        )




CREATE TABLE EXTENDED_LOOKUP.UK_FIRSTNAME_F (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UUK_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_UK_FIRSTNAME_F PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.UK_FIRSTNAME_M (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UUK_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_UK_FIRSTNAME_M PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.UK_LASTNAME (
                SEQ INT not null ,
                LASTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UUK_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_UK_LASTNAME PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.UK_PERSON (
                SEQ INT not null ,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR(30) NOT NULL,
                LASTNAME NVARCHAR(30) NOT NULL,
                COMPANY NVARCHAR(40),
                NATIONALID NVARCHAR(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR(13) NOT NULL,
                BIRTHDATETIME DATETIME NOT NULL,
                EMAIL_ADDRESS NVARCHAR(50),
                CONSTRAINT UUK_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATETIME),
                CONSTRAINT PK_UK_PERSON PRIMARY KEY (SEQ)
        )


-----------------------------------------------------------------------------------------

--USA LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.US_ADDRESSES (
                SEQ INT not null ,
                ADDRESS1 NVARCHAR(50) NOT NULL,
                ADDRESS2 NVARCHAR(50),
                CITY NVARCHAR(40) NOT NULL,
                STATE NCHAR(2) NOT NULL,
                ZIPCODE NCHAR(5) NOT NULL,
                ZIPPLUS4 NCHAR(4) NOT NULL,
                CONSTRAINT UUS_ADDRESSES UNIQUE (ADDRESS1,CITY,STATE,ZIPCODE,ZIPPLUS4),
                CONSTRAINT PK_US_ADDRESSES PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.US_FIRSTNAME (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UUS_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_US_FIRSTNAME PRIMARY KEY (SEQ)
        )




CREATE TABLE EXTENDED_LOOKUP.US_FIRSTNAME_F (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UUS_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_US_FIRSTNAME_F PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.US_FIRSTNAME_M (
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UUS_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_US_FIRSTNAME_M PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.US_LASTNAME (
                SEQ INT not null ,
                LASTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UUS_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_US_LASTNAME PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.US_PERSON (
                SEQ INT not null ,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR(30) NOT NULL,
                LASTNAME NVARCHAR(30) NOT NULL,
                COMPANY NVARCHAR(40),
                SSN NVARCHAR(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR(12) NOT NULL,
                BIRTHDATETIME DATETIME NOT NULL,
                EMAIL_ADDRESS NVARCHAR(50),
                CONSTRAINT UUS_PERSON  UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATETIME),
                CONSTRAINT PK_US_PERSON PRIMARY KEY (SEQ)
        )


--------------------------------------------------------------------------------------

--JAPANESE LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.JP_ADDRESSES(
                SEQ INT not null ,
                ZIPCODE NCHAR(7) NOT NULL,
                PREFECTURE NVARCHAR(12),
                CITY  NVARCHAR(40) NOT NULL,
                ADDRESS1  NVARCHAR(50) NOT NULL,
                ADDRESS2  NVARCHAR(50),
                CONSTRAINT UJP_ADDRESSES UNIQUE (ADDRESS1,CITY,ZIPCODE),
                CONSTRAINT PK_JP_ADDRESSES PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.JP_FIRSTNAME(
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UJP_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_JP_FIRSTNAME PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.JP_FIRSTNAME_M(
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UJP_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_JP_FIRSTNAME_M PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.JP_FIRSTNAME_F(
                SEQ INT not null ,
                FIRSTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UJP_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_JP_FIRSTNAME_F PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.JP_LASTNAME(
                SEQ INT not null ,
                LASTNAME NVARCHAR(30) NOT NULL,
                CONSTRAINT UJP_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_JP_LASTNAME PRIMARY KEY (SEQ)
        )


create table EXTENDED_LOOKUP.JP_PERSON(
                SEQ INT not null ,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR(30) NOT NULL,
                LASTNAME NVARCHAR(30) NOT NULL,
                COMPANY NVARCHAR(40),
                RESIDENTID NCHAR(11),
                SEX NCHAR(3) NOT NULL,
                PHONE NCHAR(12) NOT NULL,
                BIRTHDATETIME DATETIME NOT NULL,
                EMAIL_ADDRESS NVARCHAR(50),
                CONSTRAINT UJP_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATETIME),
                CONSTRAINT PK_JP_PERSON PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.JP_DOMAIN_NAMES (
                SEQ INT not null ,
                DOMAIN_NAME NVARCHAR(50) NOT NULL,
                CONSTRAINT JPU_DOMAIN_NAMES UNIQUE (DOMAIN_NAME),
                CONSTRAINT PK_JP_DOMAIN_NAMES PRIMARY KEY (SEQ)
        )

--------------------------------------------------------------------------------------

CREATE TABLE EXTENDED_LOOKUP.AMEX_CCN (
                SEQ INT not null ,
                DATAVALUE NCHAR(15) NOT NULL,
                CONSTRAINT U_AMEX UNIQUE (DATAVALUE),
                CONSTRAINT PK_AMEX_CCN PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.COMPANY (
                SEQ INT not null ,
                NAME NVARCHAR(50) NOT NULL,
                CONSTRAINT U_COMPANY UNIQUE (NAME),
                CONSTRAINT PK_COMPANY PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.DC_CCN (
                SEQ INT not null ,
                DATAVALUE NCHAR(14) NOT NULL,
                CONSTRAINT U_DC UNIQUE (DATAVALUE),
                CONSTRAINT PK_DC_CCN PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.DISC_CCN (
                SEQ INT not null ,
                DATAVALUE NCHAR(16) NOT NULL,
                CONSTRAINT U_DISC UNIQUE (DATAVALUE),
                CONSTRAINT PK_DISC_CCN PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.JCB_CCN (
                SEQ INT not null ,
                DATAVALUE NVARCHAR(16) NOT NULL,
                CONSTRAINT U_JCB UNIQUE (DATAVALUE),
                CONSTRAINT PK_JCB_CCN PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.MC_CCN (
                SEQ INT not null ,
                DATAVALUE NCHAR(16) NOT NULL,
                CONSTRAINT U_MC UNIQUE (DATAVALUE),
                CONSTRAINT PK_MC_CCN PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.NATIONALITY (
                SEQ INT not null ,
                ID NVARCHAR(20) NOT NULL,
                CONSTRAINT U_NATIONALITY UNIQUE (ID),
                CONSTRAINT PK_NATIONALITY PRIMARY KEY (SEQ)
        )



CREATE TABLE EXTENDED_LOOKUP.VISA_CCN (
                SEQ INT not null ,
                DATAVALUE NVARCHAR(16),
                CONSTRAINT U_VISA UNIQUE (DATAVALUE),
                CONSTRAINT PK_VISA_CCN PRIMARY KEY (SEQ)
        )


CREATE TABLE EXTENDED_LOOKUP.DOMAIN_NAMES (
                SEQ INT not null ,
                DOMAIN_NAME NVARCHAR(50) NOT NULL,
                CONSTRAINT U_DOMAIN_NAMES UNIQUE (DOMAIN_NAME),
                CONSTRAINT PK_DOMAIN_NAMES PRIMARY KEY (SEQ)
        )

